Index: /trunk/contactcenter/inc/class.ui_data.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.ui_data.inc.php	(revision 4838)
+++ /trunk/contactcenter/inc/class.ui_data.inc.php	(revision 5131)
@@ -4007,45 +4140,173 @@
 
 	                    foreach($contacts as $index => $object){
-	                        $streamBuffer .= "\"".$object[ 'names_ordered'] . "\","
-	                            . "\"".$object[ 'alias' ] . "\","
-	                            . "\"".$object[ 'main-mail' ] . "\","
-	                            . "\"".$object[ 'alternative-mail' ] . "\","
-	                            . "\"".$object[ 'mobile' ] . "\","
-	                            . "\"".$object[ 'business-phone' ] . "\","
-	                            . "\"".$object[ 'business-address' ] . "\","
-	                            . "\"".$object[ 'business-complement' ] . "\","
-	                            . "\"".$object[ 'business-postal_code' ] . "\","
-	                            . "\"".$object[ 'business-city_name' ] . "\","
-	                            . "\"".$object[ 'business-state_name' ] . "\","
-	                            . "\"".$object[ 'business-id_country' ] . "\","
-	                            . "\"".$object[ 'home-phone' ] . "\","
-	                            . "\"".$object[ 'home-address' ] . "\","
-	                            . "\"".$object[ 'home-complement' ] . "\","
-	                            . "\"".$object[ 'home-postal_code' ] . "\","
-	                            . "\"".$object[ 'home-city_name' ] . "\","
-	                            . "\"".$object[ 'home-state_name' ] . "\","
-	                            . "\"".$object[ 'home-id_country' ] . "\","
-								. "\"".$object[ 'birthdate' ] . "\","
-								. "\"".$object[ 'sex' ] . "\","
-								. "\"".$object[ 'pgp_key' ] . "\","
-								. "\"".str_replace("\r\n\x0a","\t",$object[ 'notes' ]) . "\","
-								. "\"".$object[ 'web_page' ] . "\","
-								. "\"".$object[ 'corporate_name' ] . "\","
-								. "\"".$object[ 'job_title' ] . "\","
-								. "\"".$object[ 'department' ] . "\","
-								. "\"".$object[ 'business-fax' ] . "\","
-								. "\"".$object[ 'business-pager' ] . "\","
-								. "\"".$object[ 'business-mobile' ] . "\","
-								. "\"".$object[ 'home-fax' ] . "\","
-								. "\"".$object[ 'home-pager' ] . "\","
-								. "\"".$object[ 'business-address-2' ] . "\","
-								. "\"".$object[ 'home-address-2' ] . "\"\r\n";
+								$stramArray[0] = "\"".$object[ 'names_ordered'] . "\"";
+								$stramArray[1] = "\"".$object[ 'alias' ] . "\"";
+								$stramArray[2] = "\"".$object[ 'main-mail' ] . "\"";
+								$stramArray[3] = "\"".$object[ 'alternative-mail' ] . "\"";
+								$stramArray[4] = "\"".$object[ 'mobile' ] . "\"";
+								$stramArray[5] = "\"".$object[ 'business-phone' ] . "\"";
+								$stramArray[6] = "\"".$object[ 'business-address' ] . "\"";
+								$stramArray[7] = "\"".$object[ 'business-complement' ] . "\"";
+								$stramArray[8] = "\"".$object[ 'business-postal_code' ] . "\"";
+								$stramArray[9] = "\"".$object[ 'business-city_name' ] . "\"";
+								$stramArray[10] = "\"".$object[ 'business-state_name' ] . "\"";
+								$stramArray[11] = "\"".$object[ 'business-id_country' ] . "\"";
+								$stramArray[12] = "\"".$object[ 'home-phone' ] . "\"";
+								$stramArray[13] = "\"".$object[ 'home-address' ] . "\""; 
+								$stramArray[14] = "\"".$object[ 'home-complement' ] . "\"";
+								$stramArray[15] = "\"".$object[ 'home-postal_code' ] . "\"";
+								$stramArray[16] = "\"".$object[ 'home-city_name' ] . "\"";
+								$stramArray[17] = "\"".$object[ 'home-state_name' ] . "\"";
+								$stramArray[18] = "\"".$object[ 'home-id_country' ] . "\"";
+								$stramArray[19] = "\"".$object[ 'birthdate' ] . "\"";
+								$stramArray[20] = "\"".$object[ 'sex' ] . "\"";
+								$stramArray[21] = "\"".$object[ 'pgp_key' ] . "\"";
+								$stramArray[22] = "\"".str_replace("\r\n\x0a","\t",$object[ 'notes' ]) . "\"";
+								$stramArray[23] = "\"".$object[ 'web_page' ] . "\"";
+								$stramArray[24] = "\"".$object[ 'corporate_name' ] . "\"";
+								$stramArray[25] = "\"".$object[ 'job_title' ] . "\"";
+								$stramArray[26] = "\"".$object[ 'department' ] . "\"";
+								$stramArray[27] = "\"".$object[ 'business-fax' ] . "\"";
+								$stramArray[28] = "\"".$object[ 'business-pager' ] . "\"";
+								$stramArray[29] = "\"".$object[ 'business-mobile' ] . "\"";
+								$stramArray[30] = "\"".$object[ 'home-fax' ] . "\"";
+								$stramArray[31] = "\"".$object[ 'home-pager' ] . "\"";
+								$stramArray[32] = "\"".$object[ 'business-address-2' ] . "\"";
+								$stramArray[33] = "\"".$object[ 'home-address-2' ] . "\"\r\n";
+								
+								if($object[ 'phone' ]){
+									if(!$object[ 'home-phone' ])
+										$stramArray[12] = "\"".$object[ 'phone' ]. "\"";
+									else if(!$object[ 'mobile' ])
+										$stramArray[4] = "\"".$object[ 'phone' ]. "\"";
+									else if(!$object[ 'business-phone' ])
+										$stramArray[5] = "\"".$object[ 'phone' ]. "\"";
+								}
+						
+								$streamBuffer .= implode("," , $stramArray);
 	                    }
 	                break;
+					
+					case 'outlook2003':
+					$streamBuffer = "\"Tratamento\",\"Primeiro nome\",\"Segundo Nome\",\"Sobrenome\",\"Sufixo\",".
+					"\"Empresa\",\"Departamento\",\"Cargo\",\"Business Street\",\"Rua do endereço comercial 2\",".
+					"\"Rua do endereço comercial 3\",\"Business City\",\"Business State\",".
+					"\"Business Postal Code\",\"Business Country\",\"Endereço residencial\",\"Endereço residencial 2\",".
+					"\"Endereço residencial 3\",\"Cidade do endereço residencial\",\"Estado\",\"CEP do endereço residencial\",\"País do endereço residencial\",".
+					"\"Outro endereço\",\"Outro endereço 2\",\"Outro endereço 3\",\"Cidade\",\"Estado\",\"CEP\",\"País\",".
+					"\"Telefone do assistente\",\"Fax comercial\",\"Telefone comercial\",\"Telefone comercial 2\",\"Retorno de chamada\",".
+					"\"Telefone do carro\",\"Telefone principal da empresa\",\"Fax residencial\",\"Telefone residencial\",".
+					"\"Telefone residencial 2\",\"ISDN\",\"Telefone celular\",\"Outro fax\",\"Outro telefone\",\"Pager\",\"Telefone principal\",".
+					"\"Radiofone\",\"Telefone TTY/TDD\",\"Telex\",\"Anotações\",\"Birthday\",\"Caixa postal de outro endereço\",\"Caixa postal do endereço comercial\",".
+					"\"Caixa postal do endereço residencial\",\"Categorias\",\"Código da empresa\",\"Código do governo\",\"Conta\",\"Datas especiais\",\"Disponibilidade da internet\",\"E-mail Address\",".
+					"\"Tipo de email\",\"Nome para exibição do email\",\"Endereço de email 2\",".
+					"\"Tipo de email 2\",\"Nome para exibição do email 2\",".
+					"\"Endereço de email 3\",\"Tipo de email 3\",\"Nome para exibição de email 3\",".
+					"\"Filhos\",\"Hobby\",\"Idioma\",\"Indicação\",\"Informações para cobrança\",\"Iniciais\",\"Local\",".
+					"\"Nome do assistente\",\"Nome do gerenciador\",\"Página da Web\",\"Palavras-chave\",\"Particular\",\"Personalizado 1\",\"Personalizado 2\",".
+					"\"Personalizado 3\",\"Personalizado 4\",\"Prioridade\",\"Profissão\",\"Quilometragem\",\"Sala\",\"Sensibilidade\",\"Servidor de diretório\",".
+					"\"Sexo\",\"Spouse\"\r\n";
+					foreach($contacts as $index => $object){
+						$stramArray[0] = "\"".$object[ 'alias' ] . "\"";
+						$stramArray[1] = "\"".$object[ 'names_ordered'] . "\"";
+						$stramArray[2] = "";
+						$stramArray[3] = "";
+						$stramArray[4] = "";												
+						$stramArray[5] = "\"".$object[ 'corporate_name' ] . "\"";			
+						$stramArray[6] = "\"".$object[ 'department' ] . "\"";
+						$stramArray[7] = "\"".$object[ 'job_title' ] . "\"";				
+						$stramArray[8] = "\"".$object[ 'business-address' ] . "\"";
+						$stramArray[9] = "\"".$object[ 'business-address-2' ] . "\"";
+						$stramArray[10] = "";
+						$stramArray[11] = "\"".$object[ 'business-city_name' ] . "\"";		
+						$stramArray[12] = "\"".$object[ 'business-state_name' ] . "\"";		
+						$stramArray[13] = "\"".$object[ 'business-postal_code' ] . "\"";	
+						$stramArray[14] = "\"".$object[ 'business-id_country' ] . "\"";		
+						$stramArray[15] = "\"".$object[ 'home-address' ] . "\"";			
+						$stramArray[16] = "\"".$object[ 'business-address-2' ] . "\"";		
+						$stramArray[17] = "";												
+						$stramArray[18] = "\"".$object[ 'home-city_name' ] . "\"";
+						$stramArray[19] = "\"".$object[ 'home-state_name' ] . "\"";
+						$stramArray[20] = "\"".$object[ 'home-postal_code' ] . "\"";
+						$stramArray[21] = "\"".$object[ 'home-id_country' ] . "\"";
+						$stramArray[22] = "";
+						$stramArray[23] = "";
+						$stramArray[24] = "";
+						$stramArray[25] = "\"".$object[ 'home-city_name' ] . "\"";
+						$stramArray[26] = "\"".$object[ 'home-state_name' ] . "\"";
+						$stramArray[27] = "\"".$object[ 'home-postal_code' ] . "\"";
+						$stramArray[28] = "\"".$object[ 'home-id_country' ] . "\"";
+						$stramArray[29] = "";
+						$stramArray[30] = "\"".$object[ 'business-fax' ] . "\"";
+						$stramArray[31] = "\"".$object[ 'business-phone' ] . "\"";
+						$stramArray[32] = "\"".$object[ 'mobile' ] . "\"";
+						$stramArray[33] = "";
+						$stramArray[34] = "";
+						$stramArray[35] = "";
+						$stramArray[36] = "\"".$object[ 'home-fax' ] . "\"";
+						$stramArray[37] = "\"".$object[ 'home-phone' ] . "\"";
+						$stramArray[38] = "";
+						$stramArray[39] = "";
+						$stramArray[40] = "\"".$object[ 'mobile' ] . "\"";
+						$stramArray[41] = "";
+						$stramArray[42] = "";
+						$stramArray[43] = "\"".$object[ 'home-pager' ] . "\"";
+						$stramArray[44] = "\"".$object[ 'phone' ] . "\"";
+						$stramArray[45] = "";
+						$stramArray[46] = "";
+						$stramArray[47] = "";
+						$stramArray[48] = "\"".str_replace("\r\n\x0a","\t",$object[ 'notes' ]) . "\"";
+						$stramArray[49] = "\"".$object[ 'birthdate' ] . "\"";
+						$stramArray[50] = "";
+						$stramArray[51] = "";
+						$stramArray[52] = "";
+						$stramArray[53] = "";
+						$stramArray[54] = "";
+						$stramArray[55] = "";
+						$stramArray[56] = "";
+						$stramArray[57] = "";
+						$stramArray[58] = "";
+						$stramArray[59] = "\"".$object[ 'main-mail' ] . "\"";
+						$stramArray[60] = "";
+						$stramArray[61] = "";
+						$stramArray[62] = "\"".$object[ 'alternative-mail' ] . "\"";
+						$stramArray[63] = "";
+						$stramArray[64] = "";
+						$stramArray[65] = "";
+						$stramArray[66] = "";
+						$stramArray[67] = "";
+						$stramArray[68] = "";
+						$stramArray[69] = "";
+						$stramArray[70] = "";
+						$stramArray[71] = "";
+						$stramArray[72] = "";
+						$stramArray[73] = "";
+						$stramArray[74] = "";
+						$stramArray[75] = "";
+						$stramArray[76] = "";
+						$stramArray[77] = "\"".$object[ 'web_page' ] . "\"";
+						$stramArray[78] = "";
+						$stramArray[79] = "";
+						$stramArray[80] = "";
+						$stramArray[81] = "";
+						$stramArray[82] = "";
+						$stramArray[83] = "";
+						$stramArray[84] = "";
+						$stramArray[85] = "";
+						$stramArray[86] = "";
+						$stramArray[87] = "";
+						$stramArray[88] = "";
+						$stramArray[89] = "";
+						$stramArray[90] = "\"".$object[ 'sex' ] . "\"";
+						$stramArray[91] = "\r\n";
+						
+						$streamBuffer .= implode("," , $stramArray);
+	                    }
+	                break;
 
 			}
 
 			$file = "contacts_".md5(microtime()).".swp";
-			$tempDir = ini_get("session.save_path");
+			$tempDir = $GLOBALS['phpgw_info']['server']['temp_dir'];
 			$f = fopen($tempDir.'/'.$file,"w");
 			if(!$f)
@@ -4095,7 +4356,9 @@
 		//sobrenome, notas e e-mail;
 		//em 19/06/2009 - Rommel Cysne (rommel.cysne@serpro.gov.br);
-		function import_contacts($typeImport, $id_group=false){
+		function import_contacts($typeImport, $id_group=false)
+		{
 			$this->so_group = CreateObject('contactcenter.so_group');
-			if($file = $_SESSION['contactcenter']['importCSV']) {
+			if($file = $_SESSION['contactcenter']['importCSV']) 
+			{
 				unset($_SESSION['contactcenter']['importCSV']);
 				$len = filesize($file);
@@ -4107,5 +4370,5 @@
 				if ($typeImport == 'outlook')
 					$delim = ';';
-				else if ($typeImport == 'auto')
+				else if ($typeImport == 'auto' || $typeImport== 'thunderbird')
 				$delim = strstr($input_header,',') ? ',' : ';';
 				else
@@ -4149,12 +4412,12 @@
 							break;
 						case 'outlook':
-							$name_pos=3;
-							$email_pos=4;
-							$phone_pos=7;
-							$home_phone_pos=10;
-							$personal_cell_pos=12;
-							$corporate_street_pos=13;
-							$cep_pos=15;
-							$phone_pos=18;
+							$name_pos=0;
+							$email_pos=2;
+							$phone_pos=8;
+							$home_phone_pos=9;
+							$personal_cell_pos=10;
+							$corporate_street_pos=12;
+							$cep_pos=14;
+							$corporate_phone_pos=18;
 							$fax_pos=19;
 							$pager_pos=20;
@@ -4163,6 +4426,73 @@
 						case 'thunderbird':
 							$name_pos=2;
+							$alias_pos=3;
+							//MAILS
 							$email_pos=4;
-							$phone_pos=7;
+							$aditionalEmail_pos=5;
+							
+							//PHONES
+							$corporate_phone_pos=7; 
+							$main_phone_pos=8;
+							$home_phone_pos=8;
+							$fax_pos=9;
+							$pager_pos=10;
+							$personal_cell_pos=11;
+							
+							//ADRESS
+							$street_pos=12;
+							$street_2_pos = 13;
+							$city_pos=14;
+							$state_pos=15;
+							$cep_pos=16;
+							$country_pos=17;
+							
+							//CORPORATE ADRESS
+							$corporate_street_pos=18;
+							$corporate_city_pos=20;
+							$corporate_state_pos=21;
+							$corporate_cep_pos=22;
+							$corporate_country_pos=23;
+							
+							//CORPORATE DETAILS
+							$job_title_pos=24;
+							$department_pos=25;
+							$corporate_name_pos=26;
+							
+							$notes_pos=36;
+							break;
+						case 'outlook2003':
+							$alias_pos=0;
+							$name_pos=1;
+							//CORPORATE DETAILS
+							$corporate_name_pos=5;
+							$department_pos=6;
+							$job_title_pos=7;
+							//CORPORATE ADRESS
+							$corporate_comp_pos=7;
+							$corporate_street_pos=8;
+							$street_2_pos = 9;	
+							$corporate_city_pos=11;
+							$corporate_state_pos=12;
+							$corporate_cep_pos=13;
+							$corporate_country_pos=14;
+							//HOME ADRESS
+							$street_pos=13;
+							$comp_pos=14;
+							$cep_pos=15;
+							$city_pos=16;
+							$state_pos=17;
+							$country_pos=18;
+							//PHONE's
+							$corporate_phone_pos=31;
+							$fax_pos=36;
+							$home_phone_pos=37;
+							$pager_pos=43;
+							$main_phone_pos=44;
+							//OTHER's
+							$notes_pos=48;
+							$birth_pos=49;
+							//EMAIL's
+							$email_pos=59;
+							$aditionalEmail_pos=62;
 							break;
 						case 'expresso':
@@ -4276,29 +4606,28 @@
 				}
 
-				while (($data = fgetcsv($handle, $len, $delim))) {
+
+		
+				while (($data = fgetcsv($handle, $len, $delim))) 
+				{
 					foreach ($header as $key=>$heading)
                			$row[$heading]=(isset($data[$key])) ? $data[$key] : '';
 
 						$sdata = array();
-						$full_name  = trim($row[$header[$name_pos]]);
-						$email		= trim($row[$header[$email_pos]]);
-						$phone		= trim($row[$header[$phone_pos]]);
-						$name2		= trim($row[$header[$name2_pos]]);
-						$name3		= trim($row[$header[$name3_pos]]);
-
-						$birth		= trim($row[$header[$birth_pos]]);
-						$notes 		= trim($row[$header[$notes_pos]]);
-						$altEmail	= trim($row[$header[$altEmail_pos]]);
-						$sdata['alias']         		= trim($row[$header[$alias_pos]]);
-						$sdata['corporate_name']      = trim($row[$header[$corporate_name_pos]]);
-						$sdata['job_title']         	= trim($row[$header[$job_title_pos]]);
-						$sdata['department']       	= trim($row[$header[$department_pos]]);
-						$sdata['web_page']			= trim($row[$header[$web_page_pos]]);
+						$full_name               = addslashes(trim($row[$header[$name_pos]]));
+						$email		             = addslashes(trim($row[$header[$email_pos]]));
+						$phone		             = addslashes(trim($row[$header[$main_phone_pos]]));
+						$name2	               	 = addslashes(trim($row[$header[$name2_pos]]));
+						$name3		             = addslashes(trim($row[$header[$name3_pos]]));
+						$birth		             = addslashes(trim($row[$header[$birth_pos]]));
+						$notes 					 = addslashes(trim($row[$header[$notes_pos]]));
+						$altEmail			 	 = addslashes(trim($row[$header[$altEmail_pos]]));
+						$sdata['alias']          = addslashes(trim($row[$header[$alias_pos]]));
+						$sdata['corporate_name'] = addslashes(trim($row[$header[$corporate_name_pos]]));
+						$sdata['job_title']      = addslashes(trim($row[$header[$job_title_pos]]));
+						$sdata['department']     = addslashes(trim($row[$header[$department_pos]]));
+						$sdata['web_page']		 = addslashes(trim($row[$header[$web_page_pos]]));
+						$sdata['sex']         	 = addslashes(trim($row[$header[$sex_pos]]));
+						$sdata['pgp_key']      	 = addslashes(trim($row[$header[$pgp_key_pos]]));
 						
-						$sdata['sex']         		= trim($row[$header[$sex_pos]]);
-						$sdata['pgp_key']      = trim($row[$header[$pgp_key_pos]]);
-
-
-					$full_name = $full_name;
 					$array_name = explode(' ', str_replace('"','',(str_replace('\'','',$full_name))));
 					$sdata['given_names'] = addslashes($array_name[0]);
@@ -4386,5 +4715,6 @@
 						$sdata['addresses']['address_personal']['id_city'] =  trim($row[$header[$city_pos]]);
 
-					if(trim($birth)) {
+					if(trim($birth)) 
+					{
 						$array_birth = explode("/",trim($birth));
 						$sdata['birthdate'] = date('Y-m-d', mktime(0,0,0,$array_birth[1],$array_birth[0],$array_birth[2]));
@@ -4394,10 +4724,13 @@
 					//$sdata['is_quick_add'] = true;
 					$sdata['connections']['default_phone']['connection_value'] = $phone;
-
+					if(!$phone){
+
+					}
 					// 	verifica se email já existe!
 					$email = addslashes($email);
-					$contact = $boGroup->verify_contact($email);
-
-					if(!$sdata['given_names'] && $email){
+					$contact = false;
+					$contact = $boGroup->verify_contact($email, $full_name, $phone);
+					if(!$sdata['given_names'] && $email)
+					{
 							$a_email = explode("@",$email);
 							$sdata['given_names'] = addslashes($a_email[0]);
@@ -4406,8 +4739,9 @@
 					$line_iteration = $return['_failure'] + $return['_existing'] + $return['_new'];
 
-					if($contact){
+					if($contact[0] != null)
+					{
 						$return['_existing']++;
 					}
-					else if((!eregi("^[/_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$", $email)) && $email) {
+					else if((!eregi("^[a-zA-Z0-9][_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]{1,})*$", $email)) && $email) {
 						$return['_failure']++;
 						$return['_failure_status'] .= "Line: " . ($line_iteration + 2) . ", Invalid E-Mail address: " . $email ."<br>";
@@ -4432,4 +4766,66 @@
 			echo serialize($return);
 		}
+		
+		function get_contact_details($id)
+		{
+			$data = array();
+			
+			if(!$this->bo->catalog->src_info) {
+				$ldap = CreateObject('contactcenter.bo_ldap_manager');
+				$this->bo->catalog->src_info = $ldap->srcs[1];
+			}
+			//$id = urlencode($id);
+			$ds = $GLOBALS['phpgw']->common->ldapConnect($this->bo->catalog->src_info['host'], $this->bo->catalog->src_info['acc'], $this->bo->catalog->src_info['pw'], true);				
+			$dn=$this->bo->catalog->src_info['dn'];
+
+			//buscar os atributos do ldap
+			$configobj = CreateObject('phpgwapi.config', 'contactcenter');
+			$prefs = $configobj->read_repository();
+			$attr_names = array();
+			$attr_types = array();
+			$justThese = array();
+			foreach ($prefs as $pref_key => $pref_value)
+			{
+				if (stripos($pref_key, "cc_attribute_name_") !== false)
+				{
+					$num = substr($pref_key, strlen("cc_attribute_name_"));
+					$attr_names[] = $prefs["cc_attribute_name_$num"];
+					$attr_types[] = $prefs["cc_attribute_type_$num"];
+					$justThese[] = strtolower($prefs["cc_attribute_ldapname_$num"]);
+				}
+			}
+			
+
+
+			$sr = ldap_read($ds,utf8_encode($id), "objectClass=*",$justThese);							
+			$info = ldap_get_entries($ds, $sr);
+			if ($info)
+			{
+				for ($i = 0; $i < count($justThese); $i++)
+				{
+					$attr = array();
+					$attr['name'] = $attr_names[$i];
+					if ($attr_types[$i] == 'multivalues')
+					{
+						$attr['type'] = 'multivalues';
+						$attr['value'] = array();
+						for ($j = 0; $j < $info[0][$justThese[$i]]['count']; $j++)
+							$attr['value'][] = utf8_decode($info[0][$justThese[$i]][$j]);
+					}
+					else
+					{
+						$attr['type'] = 'text';
+						$attr['value'] = utf8_decode($info[0][$justThese[$i]][0]);
+					}
+					$data[] = $attr;
+				}
+			}
+			else
+				$data = 'error';
+			ldap_close($ds);
+			
+			echo serialize($data);
+		}
+		
 	}
 
Index: /trunk/contactcenter/js/cc_config.js
===================================================================
--- /trunk/contactcenter/js/cc_config.js	(revision 4548)
+++ /trunk/contactcenter/js/cc_config.js	(revision 5131)
@@ -22,29 +22,4 @@
 	function cc_attribute_clear(form)
 	{
-
-		var vars = document.getElementsByClassName("cc_attribute");
-		
-		var tupla;
-		var select;
-		var inputs;
-		
-		for (var i=0; i<vars.length; i++) {	
-			tupla = vars[i];
-			inputs = tupla.getElementsByTagName("input");
-			
-			if(inputs[0].value == "" || inputs[1].value == "") 
-			{		
-				//tupla.parentNode.removeChild(tupla);
-				inputs[0].setAttribute("value", "");
-				inputs[1].setAttribute("value", "");
-				
-				select = tupla.getElementsByTagName("select");
-				select[0].innerHTML = "<option value=\"\" selected=\"selected\"></option>";
-				select[1].innerHTML = "<option value=\"\" selected=\"selected\"></option>";
-				
-				tupla.style.visible = "hidden";
-				tupla.style.display = "none";
-			}
-		}
 		form.submit();
 	}
@@ -60,12 +35,16 @@
 	function cc_attribute_add()
 	{
-		var stringTexto = document.getElementsByClassName("cc_attribute")[0].getElementsByTagName("select")[0].getElementsByTagName("option")[0].innerHTML;
-		var stringMultivalorado = document.getElementsByClassName("cc_attribute")[0].getElementsByTagName("select")[0].getElementsByTagName("option")[1].innerHTML
+		var stringTexto = document.getElementById('textHidden').value;
+		var stringMultivalorado = document.getElementById('multitextHidden').value;
+		var stringYes = document.getElementById('yesHidden').value;
+		var stringNo = document.getElementById('noHidden').value;
+		var stringDelete = document.getElementById('deleteHidden').value;
 		
 		var numeroAtributo = 0;
-		var vars = document.getElementsByClassName("cc_attribute");
+		var table = document.getElementsByName("cc_newconftable");
+		var vars = table[0].getElementsByTagName("TR"); 
 		
 		var maior = 0;
-		for (var i=0; i<vars.length; i++) {
+		for (var i=1; i<vars.length; i++) {
 			var tupla = vars[i];
 			var linhaIndice = tupla.getElementsByTagName("input")[0];
@@ -88,74 +67,71 @@
 		var cc_attribute_searchable = "newsettings[cc_attribute_searchable_" + numeroAtributo + "]";
 		
-		var pool = document.getElementById("cc_attribute_fields");
-		var btn = document.getElementById("c_attribute_box_adder"); // nome do id definido no template.
+		var pool = document.getElementById("cc_newconftable");
 		
-		var newDiv = document.createElement("div");
-			newDiv.setAttribute("class", "cc_attribute");
+		//LINHA DOS CAMPOS
+		var tudo = document.createElement("TR");
 	
-		var formularioNome = document.createElement("input");
-			formularioNome.setAttribute("type", "text");
-			formularioNome.setAttribute("name", cc_attribute_name);
-			formularioNome.setAttribute("value", "");
-			formularioNome.setAttribute("style", "width: 170px;");
-	
-		var formularioLdap = document.createElement("input");
-			formularioLdap.setAttribute("type", "text");
-			formularioLdap.setAttribute("name", cc_attribute_ldapname);
-			formularioLdap.setAttribute("value", "");
-			//formularioLdap.setAttribute("style", "margin: 0px 40px;");
-			formularioLdap.setAttribute("style", "width: 170px;");
+		//INPUT DO NOME
+		var tudoBody1 = document.createElement("TD");
+		tudoBody1.innerHTML = "<input type=\"text\" name=\""+cc_attribute_name+"\" value=\"\" style=\"width:170px;\" />";
+		tudo.appendChild(tudoBody1);
+		
+		//INPUT CORRESPONDENTE
+		var tudoBody2 = document.createElement("TD");
+		tudoBody2.innerHTML = "<input type=\"text\" name=\""+cc_attribute_ldapname+"\" value=\"\" style=\"width:170px;\" />";
+		tudo.appendChild(tudoBody2);
+		
+		//TD SELECT MULTI OR TEXT 
+		var tudoBody3 = document.createElement("TD");
+			//SELECT MULTI OR TEXT 
+			var select1 = document.createElement("SELECT");
+			select1.name = cc_attribute_type;
+			select1.style.width = "86px";
+			select1.style.margin = "0px 0px 0px 8px";
+			//OPTION TEXT
+			var option1 = document.createElement("OPTION");
+			option1.innerHTML = stringTexto;
+			option1.value = "text";
+			//OPTION MULTI
+			var option2 = document.createElement("OPTION");
+			option2.innerHTML = stringMultivalorado;
+			option2.value = "multivalues";
+			//ADD OPTIONs TO SELECT
+			select1.appendChild(option1);
+			select1.appendChild(option2);
+			//ADD SELECT TO TD
+			tudoBody3.appendChild(select1);
+			//ADD TD TO TR
+			tudo.appendChild(tudoBody3);
+			
+		//TD SELECT YES OR NO 
+		var tudoBody4 = document.createElement("TD");
+			//SELECT YES OR NO 
+			var select2 = document.createElement("SELECT");
+			select2.name = cc_attribute_searchable;
+			select2.style.margin = "0px 16px";
+			//OPTION YES
+			var option3 = document.createElement("OPTION");
+			option3.innerHTML = stringYes;
+			option3.value = "true";
+			//OPTION NO
+			var option4 = document.createElement("OPTION");
+			option4.selected = "selected";
+			option4.innerHTML = stringNo;
+			option4.value = "false";
+			//ADD OPTIONs TO SELECT
+			select2.appendChild(option3);
+			select2.appendChild(option4);
+			//ADD SELECT TO TD
+			tudoBody4.appendChild(select2);
+			//ADD TD TO TR
+			tudo.appendChild(tudoBody4);
+		
+		//TD IMG 		
+		var tudoBody5 = document.createElement("TD");
+		tudoBody5.innerHTML = "<img src=\"contactcenter/templates/default/images/cc_x.png\" title=\""+ stringDelete +"\" alt=\""+ stringDelete +"\" style=\"width: 15px; height: 14px; cursor: pointer; position: relative; top: 3px;\" onclick=\"javascript:cc_attribute_delete(this)\">"
+		tudo.appendChild(tudoBody5);
 
-		var selectTipos = document.createElement("select");
-		selectTipos.setAttribute("name", cc_attribute_type);
-		selectTipos.setAttribute("style", "width: 86px; margin: 0px 0px 0px 8px");
-		//selectTipos.setAttribute("style", "margin: 0px 0px 0px 8px");
-			var optionTexto = document.createElement("option");
-			optionTexto.setAttribute("value", "text");
-			optionTexto.setAttribute("selected", "selected");
-			optionTexto.innerHTML = stringTexto + " ";
-		
-			var optionMultivalorado = document.createElement("option");
-			optionMultivalorado.setAttribute("value", "multivalues");
-			optionMultivalorado.innerHTML = stringMultivalorado + " ";
-			
-		selectTipos.appendChild(optionTexto);
-		selectTipos.appendChild(optionMultivalorado);
-				
-		var selectPesquisavel = document.createElement("select");
-		selectPesquisavel.setAttribute("name", cc_attribute_searchable);
-		selectPesquisavel.setAttribute("style", "margin: 0px 16px;");
-			var optionYes = document.createElement("option");
-				optionYes.setAttribute("value", "true");
-				optionYes.innerHTML = "Sim ";
-			var optionNo = 	document.createElement("option");
-				optionNo.setAttribute("value", "false");
-				optionNo.setAttribute("selected", "selected");
-				optionNo.innerHTML = "Não ";
-			
-				
-		selectPesquisavel.appendChild(optionYes);
-		selectPesquisavel.appendChild(optionNo);		
-				
-				
-				
-		var imagem = document.createElement("img");
-			imagem.setAttribute("type", "image");
-			imagem.setAttribute("src", "contactcenter/templates/default/images/cc_x.png");
-			imagem.setAttribute("alt", "Excluir Campo ");
-			imagem.setAttribute("style", "width: 15px; height: 14px; cursor: pointer; position: relative; top: 3px;");
-			imagem.setAttribute("onclick", "javascript:cc_attribute_delete(this)");
-	
-		newDiv.appendChild(formularioNome);
-		newDiv.appendChild(document.createTextNode(" "));
-		newDiv.appendChild(formularioLdap);
-		newDiv.appendChild(document.createTextNode(" "));
-		newDiv.appendChild(selectTipos);
-		newDiv.appendChild(document.createTextNode(" "));
-		newDiv.appendChild(selectPesquisavel);
-		newDiv.appendChild(document.createTextNode(" "));
-		newDiv.appendChild(imagem);
-
-		pool.appendChild(newDiv);
+		pool.appendChild(tudo);
 	}
 	
@@ -170,5 +146,6 @@
 	{
 			var tupla = e.parentNode;
-			
+			tupla = tupla.parentNode;
+			var mom = tupla.parentNode;
 			var inputs = tupla.getElementsByTagName("input");
 
Index: /trunk/contactcenter/js/cc_search.js
===================================================================
--- /trunk/contactcenter/js/cc_search.js	(revision 4548)
+++ /trunk/contactcenter/js/cc_search.js	(revision 5131)
@@ -270,5 +270,5 @@
 			target.appendChild( holder );
 			
-			this.win = new dJSWin({
+			this.win = win = new dJSWin({
 					id: 'ccSearch_Layer2',
 					content_id: 'Layer2',
@@ -380,5 +380,5 @@
 			data['search_for'] = cn;
 
-		    customFilterDiv.style.visibility = 'hidden';
+		    win.close();
 		    document.getElementById('overlay').style.visibility = 'hidden';
 		}
Index: /trunk/contactcenter/js/ccAddGroup.js
===================================================================
--- /trunk/contactcenter/js/ccAddGroup.js	(revision 4769)
+++ /trunk/contactcenter/js/ccAddGroup.js	(revision 5131)
@@ -128,4 +128,5 @@
 			if (data['status'] != 'ok' && data['status'] != 'warning')
 			{
+				showMessage(Element('cc_msg_err_duplicate_group').value);
 				return;
 			}
@@ -205,4 +206,5 @@
 			
 		this.title.value = '';				
+		ccAGSearchTerm.value = '';
 	}
 	
@@ -240,7 +242,7 @@
 
 				for(var j = 0;j < select_in.options.length; j++) {																			
-					if(select_in.options[j].value == select.options[i].value){
+					if((select_in.options[j].value == select.options[i].value) && (select_in.options[j].textContent == select.options[i].textContent)){
 						isSelected = true;						
-						break;	
+						//break;	
 					}
 				}
@@ -346,19 +348,19 @@
 
             var search_for = data['search_for'].split(' ');
-            var greaterThan4 = false;
-            var use_length = v_min;
-
-            for (i = 0; i < search_for.length; i++)
-            {
-                if (search_for[i].length >= use_length)
-                {
-                    greaterThan4 = true;
-                }
-            }
-
-            if (!greaterThan4){
-                alert("Favor fazer a consulta com pelo menos " + v_min + " caracteres!");
-                return;
-            }
+            //var greaterThan4 = false;
+            //var use_length = v_min;
+
+            //for (i = 0; i < search_for.length; i++)
+            //{
+            //    if (search_for[i].length >= use_length)
+            //    {
+            //        greaterThan4 = true;
+            //    }
+            //}
+
+            // if (!greaterThan4){
+            //     alert("Favor fazer a consulta com pelo menos " + v_min + " caracteres!");
+			//     return;
+            // }
 
             var handler = function(data)
@@ -435,4 +437,6 @@
                 {
                    ccAddGroup.clearSourceList();
+				   if (catalogLevel == '0.2')
+						ccAddGroup.search();
                 }
 
